---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libmethmod001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x503E0, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52320, symBinAddr: 0xE230, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52710, symBinAddr: 0xE620, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x536B0, symBinAddr: 0xF5C0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x536C0, symBinAddr: 0xF5D0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FF20, symBinAddr: 0xC080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FF24, symBinAddr: 0xC084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FF28, symBinAddr: 0xC088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50080, symBinAddr: 0xC090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50138, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5013C, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50140, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50144, symBinAddr: 0xC154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50148, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50150, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50168, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50170, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50178, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50180, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50188, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x501CC, symBinAddr: 0xC1AC, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x501CD, symBinAddr: 0xC1AD, symSize: 0x0 }
  - { offsetInCU: 0x90FE, offset: 0x90FE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x501D0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9117, offset: 0x9117, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x501D8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x9169, offset: 0x9169, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x4560, symSize: 0x80 }
  - { offsetInCU: 0x91FE, offset: 0x91FE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x44B0, symSize: 0xB0 }
  - { offsetInCU: 0x9259, offset: 0x9259, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x43B0, symSize: 0x100 }
  - { offsetInCU: 0x94EC, offset: 0x94EC, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x45E0, symSize: 0x220 }
  - { offsetInCU: 0x96D1, offset: 0x96D1, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x4800, symSize: 0xA0 }
  - { offsetInCU: 0x9784, offset: 0x9784, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x48A0, symSize: 0x110 }
  - { offsetInCU: 0x987A, offset: 0x987A, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x49B0, symSize: 0x150 }
  - { offsetInCU: 0x99AB, offset: 0x99AB, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x4B00, symSize: 0x30 }
  - { offsetInCU: 0x9A6C, offset: 0x9A6C, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x4B30, symSize: 0x150 }
  - { offsetInCU: 0x9C64, offset: 0x9C64, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x4C80, symSize: 0x160 }
  - { offsetInCU: 0x9DF0, offset: 0x9DF0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4DE0, symSize: 0x1B0 }
  - { offsetInCU: 0xA00B, offset: 0xA00B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4F90, symSize: 0xA0 }
  - { offsetInCU: 0xA0DA, offset: 0xA0DA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x5030, symSize: 0x20 }
  - { offsetInCU: 0xA111, offset: 0xA111, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x5050, symSize: 0x20 }
  - { offsetInCU: 0xA148, offset: 0xA148, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x5070, symSize: 0x20 }
  - { offsetInCU: 0xA2B7, offset: 0xA2B7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x5090, symSize: 0x1A0 }
  - { offsetInCU: 0xA5DD, offset: 0xA5DD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x5230, symSize: 0x80 }
  - { offsetInCU: 0xA6A6, offset: 0xA6A6, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x52B0, symSize: 0x6A0 }
  - { offsetInCU: 0xB23B, offset: 0xB23B, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA160, symBinAddr: 0x65A0, symSize: 0xB0 }
  - { offsetInCU: 0xB2B2, offset: 0xB2B2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x5950, symSize: 0x70 }
  - { offsetInCU: 0xB386, offset: 0xB386, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x59C0, symSize: 0xA0 }
  - { offsetInCU: 0xB491, offset: 0xB491, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5A60, symSize: 0x40 }
  - { offsetInCU: 0xB587, offset: 0xB587, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5AA0, symSize: 0x2B0 }
  - { offsetInCU: 0xB92D, offset: 0xB92D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5D50, symSize: 0xC0 }
  - { offsetInCU: 0xBA73, offset: 0xBA73, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5E10, symSize: 0x10 }
  - { offsetInCU: 0xBB35, offset: 0xBB35, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5E20, symSize: 0x220 }
  - { offsetInCU: 0xBE32, offset: 0xBE32, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x6040, symSize: 0x10 }
  - { offsetInCU: 0xBE8F, offset: 0xBE8F, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x6050, symSize: 0xF0 }
  - { offsetInCU: 0xBFDC, offset: 0xBFDC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x6140, symSize: 0x10 }
  - { offsetInCU: 0xC039, offset: 0xC039, size: 0x8, addend: 0x0, symName: _printModifiers, symObjAddr: 0x9D10, symBinAddr: 0x6150, symSize: 0x110 }
  - { offsetInCU: 0xC08A, offset: 0xC08A, size: 0x8, addend: 0x0, symName: _checkMeth, symObjAddr: 0x9E20, symBinAddr: 0x6260, symSize: 0x120 }
  - { offsetInCU: 0xC1E1, offset: 0xC1E1, size: 0x8, addend: 0x0, symName: _ClassLoad, symObjAddr: 0x9F40, symBinAddr: 0x6380, symSize: 0xD0 }
  - { offsetInCU: 0xC30C, offset: 0xC30C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetMethodModifiers_methmod001_check, symObjAddr: 0xA010, symBinAddr: 0x6450, symSize: 0x150 }
  - { offsetInCU: 0xC47C, offset: 0xC47C, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA210, symBinAddr: 0x6650, symSize: 0x36A }
...
